/**
 * OBD Field representation.
 */
export declare class OBDField {
    code: string;
    label: string;
    unit: string;
    value: string | number;
    formatter?: (unit: string, value: string | number) => string;
    /**
     * The value followed by the unit as string.
     */
    formatted: string;
    /**
     * The OBD Field constructor.
     * @param code The code.
     * @param label The label.
     * @param unit The unit.
     * @param value The initial value.
     * @param formatter projector to format the value.
     */
    constructor(code: string, label: string, unit: string, value: string | number, formatter?: (unit: string, value: string | number) => string);
}
