import { Observable } from 'rxjs';
import { BluetoothSerialDevice } from "../observables";
import { OBDConnection } from './OBDConnection';
export interface OBDConfig {
    host?: string;
    port?: number;
    device?: BluetoothSerialDevice;
    pullingInterval: number;
    connection: OBDConnection;
}
export declare class DummyOBDConnection extends OBDConnection {
    open(config: any): Observable<any>;
    send(): Observable<any>;
    onData(): Observable<string>;
    close(): Observable<any>;
}
export declare const defaultOBDWifiConfig: OBDConfig;
