import { EMPTY, of } from 'rxjs';
import { OBDConnection } from './OBDConnection';
export class DummyOBDConnection extends OBDConnection {
    open(config) {
        console.log('DummyOBDConnection.open');
        return EMPTY;
    }
    send() {
        console.log('DummyOBDConnection.send');
        return EMPTY;
    }
    onData() {
        return of('dummy connection, you must config an OBDConnection\r>');
    }
    close() {
        console.log('DummyOBDConnection.close');
        return EMPTY;
    }
}
export const defaultOBDWifiConfig = {
    host: '192.168.0.10',
    port: 35000,
    pullingInterval: 1000,
    connection: new DummyOBDConnection()
};
//# sourceMappingURL=OBDConfig.js.map