"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var OBDConnection_1 = require("./OBDConnection");
var DummyOBDConnection = /** @class */ (function (_super) {
    __extends(DummyOBDConnection, _super);
    function DummyOBDConnection() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DummyOBDConnection.prototype.open = function (config) {
        console.log('DummyOBDConnection.open');
        return rxjs_1.EMPTY;
    };
    DummyOBDConnection.prototype.send = function () {
        console.log('DummyOBDConnection.send');
        return rxjs_1.EMPTY;
    };
    DummyOBDConnection.prototype.onData = function () {
        return rxjs_1.of('dummy connection, you must config an OBDConnection\r>');
    };
    DummyOBDConnection.prototype.close = function () {
        console.log('DummyOBDConnection.close');
        return rxjs_1.EMPTY;
    };
    return DummyOBDConnection;
}(OBDConnection_1.OBDConnection));
exports.DummyOBDConnection = DummyOBDConnection;
exports.defaultOBDWifiConfig = {
    host: '192.168.0.10',
    port: 35000,
    pullingInterval: 1000,
    connection: new DummyOBDConnection()
};
//# sourceMappingURL=OBDWifiConfig.js.map