"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
/**
 * Observable adapter to list bluetooth devices.
 */
exports.bluetoothSerialList = function () { return new rxjs_1.Observable(function (subscriber) {
    // declare successful handler
    var next = function (value) {
        subscriber.next(value);
        subscriber.complete();
    };
    // declare failure handler
    var error = function (message) { return subscriber.error(message); };
    // invoke Cordova plugin.
    bluetoothSerial.list(next, error);
}); };
//# sourceMappingURL=BluetoothSerial.js.map